local modpath = minetest.get_modpath(minetest.get_current_modname())

-- Functions
dofile(modpath.."/functions.lua")

-- Custom Nodes
dofile(modpath.."/nodes.lua")

-- Custom fences
dofile(modpath.."/fences.lua")

-- Custom mapgen ore generation
dofile(modpath.."/mapgen.lua")

-- Custom Tools
dofile(modpath.."/tools.lua")

-- Custom Crafts
dofile(modpath.."/crafting.lua")

-- Overrides
dofile(modpath.."/overrides.lua")

-- Hotbar texture
minetest.register_on_joinplayer(
	function(player)
		player:hud_set_hotbar_image("hud_hotbar.png")
		player:hud_set_hotbar_selected_image("hud_hotbar_selected.png")
	end
)

minetest.log("action", "[nalc_default] loaded.")
